Bug 1546645 - Ansible should setup correct selinux context for /archives
Summary: Ansible should setup correct selinux context for /archives
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-19 08:34 UTC by Nigel Babu
Modified: 2018-10-08 03:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-08 03:06:52 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2018-02-19 08:34:10 UTC
The default node setup does not allow the files in /archives to be actually visible via Nginx. We need to make the selinux setup part of the ansible role.

Comment 1 Michael S. 2018-02-26 10:56:46 UTC
So that's supposed to be already done:
https://github.com/gluster/gluster.org_ansible_configuration/blob/master/roles/jenkins_builder/tasks/main.yml#L111

Can you tell me what is the symptoms you have seen and where ?

Comment 2 Shyamsundar 2018-06-20 18:24:39 UTC
This bug reported is against a version of Gluster that is no longer maintained (or has been EOL'd). See https://www.gluster.org/release-schedule/ for the versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline gluster repository, request that it be reopened and the Version field be marked appropriately.

Comment 3 Nigel Babu 2018-10-08 03:06:52 UTC
I have not seen this lately. So I'm going to close this, but in the event this happens again, we'll revisit. This is going to go away anyway, so it's probably not worth keeping this bug around.


Note You need to log in before you can comment on or make changes to this bug.